## org.metaabm.gen.test
Enum PrimaryColorEnum

    java.lang.Object
      java.lang.Enum<PrimaryColorEnum>
          org.metaabm.gen.test.PrimaryColorEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PrimaryColorEnum>

    public enum PrimaryColorEnum

extends java.lang.Enum<PrimaryColorEnum>

Primary Color Java Implementation. Generated by metaabm system: May 13, 2009 11:53:48 AM PDT in project: org.metaabm.gen.ascape.test (testing)

Enum Constant Summary
`blue`
`red`
`yellow`

Method Summary
`java.lang.String` `toString()`
`static PrimaryColorEnum` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PrimaryColorEnum[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### red

    public static final PrimaryColorEnum red

### yellow

    public static final PrimaryColorEnum yellow

### blue

    public static final PrimaryColorEnum blue

Method Detail

### values

    public static PrimaryColorEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PrimaryColorEnum c : PrimaryColorEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PrimaryColorEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<PrimaryColorEnum>`